Update Category Metafield
Updates a Category Metafield.
Required Fields
- none
Read-Only Fields
- id
- These fields can only be modified by the app (API credentials) that created the metafield:
- namespace
- key
- permission_set
Usage Notes
- Attempting to modify
namespace,key, andpermission_setfields using a client ID different from the one used to create those metafields will result in a 403 error message.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
category_id
The ID of the Category to which the resource belongs.
metafield_id
The ID of the Metafield.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
key
The name of the field, for example: location_id, color. Required for POST.
value
The value of the field, for example: 1, blue. Required for POST.
namespace
Namespace for the metafield, for organizational purposes. This is set by the developer. Required for POST.
permission_set
Determines the visibility and writeability of the field by other API consumers.
Allowed values:
description
Description for the metafields.
Response
OK
data
meta
Response metadata.
Errors
400
Bad Request Error
404
Not Found Error